apiVersion: kubeadm.k8s.io/v1beta3
kind: InitConfiguration
localAPIEndpoint:
  advertiseAddress: "{{ ansible_facts['default_ipv4']['address'] }}"
  bindPort: 6443
---
apiVersion: kubeadm.k8s.io/v1beta3
kind: ClusterConfiguration
clusterName: "{{ kubernetes['cluster']['name'] }}"
kubernetesVersion: "{{ kubernetes['version'] }}"
networking:
  dnsDomain: "{{ kubernetes['domain'] }}"
  podSubnet: "{{ kubernetes['pod_cidr'] }}"
  serviceSubnet: "{{ kubernetes['service_cidr'] }}"
---
apiVersion: kubelet.config.k8s.io/v1beta1
kind: KubeletConfiguration
cgroupDriver: systemd